=== debian/changelog ===
pivy (0.6.10-3) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1085777)
  * Add debian/clean (Closes: #1048308)
  * Bump Qt4 -> Qt5 in description

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 17:25:13 +0200

pivy (0.6.10-2) unstable; urgency=medium

  * Team upload.
  * Source only upload to rebuild against soqt.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2025 20:06:53 +0200

pivy (0.6.10-1) unstable; urgency=medium

  * Team upload.
  * [24296d3] New upstream version 0.6.10
  * [42cdc1f] Set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Mar 2025 06:57:04 +0200
