=== debian/control ===
Source: pivy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
           Kurt Kremitzki <kkremitzki@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtopengl,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               libsoqt520-dev,
               libcoin-dev,
               libsimage-dev,
               swig,
               cmake,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: https://github.com/coin3d/pivy

Package: python3-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtopengl,
         python3-pyside2.qtwidgets,
         shiboken2
Provides: ${python3:Provides}
Description: Coin binding for Python 3
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt5 applications with the quarter module
 .
 This package contains the Python 3 bindings.
