=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
https://github.com/coin3d/pivy/tags .*/(\d.*).*(?<!_pre)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
